Loading...
Searching...
No Matches
restinio::transforms::zlib::body_appender_t< chunked_output_t > Class Referencefinal

`#include <zlib.hpp>`

Inheritance diagram for restinio::transforms::zlib::body_appender_t< chunked_output_t >:

## Public Types

using | base_type_t = body_appender_base_t< chunked_output_t, body_appender_t< chunked_output_t > >
Public Types inherited from restinio::transforms::zlib::body_appender_base_t< chunked_output_t, body_appender_t< chunked_output_t > >
using | resp_t = response_builder_t< chunked_output_t >

## Public Member Functions

auto & | append (string_view_t input)
| Append data to be compressed.
auto & | make_chunk (string_view_t input=string_view_t{})
| Append data to be compressed and adds current zlib transformator output as a new chunk.
void | flush ()
| Flushes currently available compressed data with possibly creating new chunk and then flushes target response.
void | complete ()
| Complete zlib transformation operation.
Public Member Functions inherited from restinio::transforms::zlib::body_appender_base_t< chunked_output_t, body_appender_t< chunked_output_t > >
| body_appender_base_t (const params_t &params, resp_t &resp)
| body_appender_base_t (const body_appender_base_t &)=delete
| body_appender_base_t (body_appender_base_t &&ba) noexcept
body_appender_base_t & | operator= (const body_appender_base_t &)=delete
body_appender_base_t & | operator= (body_appender_base_t &&)=delete
virtual | ~body_appender_base_t ()

## Additional Inherited Members

Protected Attributes inherited from restinio::transforms::zlib::body_appender_base_t< chunked_output_t, body_appender_t< chunked_output_t > >
std::unique_ptr< zlib_t > | m_ztransformator
resp_t & | m_resp

## Detailed Description

Definition at line 1178 of file zlib.hpp.

## Member Typedef Documentation

## base_type_t

using restinio::transforms::zlib::body_appender_t< chunked_output_t >::base_type_t = body_appender_base_t< chunked_output_t, body_appender_t< chunked_output_t > >

Definition at line 1184 of file zlib.hpp.

## Member Function Documentation

## append()

auto & restinio::transforms::zlib::body_appender_t< chunked_output_t >::append | ( | string_view_t | input | ) |

inline

Append data to be compressed.

Function only adds data to anderlying zlib stream and it doesn't affect target response right on here.

Definition at line 1197 of file zlib.hpp.

## complete()

void restinio::transforms::zlib::body_appender_t< chunked_output_t >::complete | ( |  | ) |

inline

Complete zlib transformation operation.

Definition at line 1243 of file zlib.hpp.

## flush()

void restinio::transforms::zlib::body_appender_t< chunked_output_t >::flush | ( |  | ) |

inline

Flushes currently available compressed data with possibly creating new chunk and then flushes target response.

Definition at line 1228 of file zlib.hpp.

## make_chunk()

auto & restinio::transforms::zlib::body_appender_t< chunked_output_t >::make_chunk | ( | string_view_t | input = `string_view_t{}` | ) |

inline

Append data to be compressed and adds current zlib transformator output as a new chunk.

Adds data and flushes zlib transformator. Then ready compressed data is taken and used as a new chunk of target response.

Definition at line 1213 of file zlib.hpp.

The documentation for this class was generated from the following file:

- restinio/transforms/zlib.hpp